#include "PrimitiveCompare.h"
#include <registration/AlgoRegistration.hpp>

#include <string/LinearString.h>

namespace {

auto PrimitiveCompareUnsignedInt = registration::AbstractRegister < compare::PrimitiveCompare, bool, const unsigned int &, const unsigned int & > ( compare::PrimitiveCompare::compare );
auto PrimitiveCompareInt = registration::AbstractRegister < compare::PrimitiveCompare, bool, const int &, const int & > ( compare::PrimitiveCompare::compare );
auto PrimitiveCompareBool = registration::AbstractRegister < compare::PrimitiveCompare, bool, const bool &, const bool & > ( compare::PrimitiveCompare::compare );

} /* namespace */
