#pragma once

#include <string>

#include <ext/type_traits>
#include <ext/typeindex>

#include <core/type_details_base.hpp>

#include <object/Object.h>

namespace core {

template < >
struct type_util < unsigned > {
	static std::unique_ptr < type_details_base > type ( unsigned arg );
};

template < >
struct type_util < long unsigned > {
	static std::unique_ptr < type_details_base > type ( long unsigned arg );
};

template < >
struct type_util < int > {
	static std::unique_ptr < type_details_base > type ( int arg );
};

template < >
struct type_util < long > {
	static std::unique_ptr < type_details_base > type ( long arg );
};

template < >
struct type_util < char > {
	static std::unique_ptr < type_details_base > type ( char arg );
};

template < >
struct type_util < bool > {
	static std::unique_ptr < type_details_base > type ( bool arg );
};

template < >
struct type_util < double > {
	static std::unique_ptr < type_details_base > type ( double arg );
};

template < >
struct type_util < std::string > {
	static std::unique_ptr < type_details_base > type ( std::string arg );
};

template < >
struct type_util < ext::ostream > {
	static std::unique_ptr < type_details_base > type ( const ext::ostream & arg );
};

} /* namespace core */
